Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Related Functions | List of all members
ipe::Linear Class Reference
Ipe Geometry

`#include <ipegeo.h>`

## Public Member Functions

| Linear ()
| Linear (Angle angle)
| Linear (double m11, double m21, double m12, double m22)
| Linear (String str)
Linear | inverse () const
bool | isIdentity () const
Vector | operator* (const Vector &rhs) const
bool | operator== (const Linear &rhs) const
double | determinant () const

## Public Attributes

double | a [4]

## Related Functions

(Note that these are not member functions.)
Stream & | operator<< (Stream &stream, const Linear &rhs)
Vector | operator* (const Vector &rhs) const
Linear | operator* (const Linear &lhs, const Linear &rhs)

## Detailed Description

Linear transformation in the plane (2x2 matrix).

## Constructor & Destructor Documentation

ipe::Linear::Linear | ( |  | ) |

inline

Create identity matrix.

Linear::Linear | ( | Angle | angle | ) |

explicit

Create matrix representing a rotation by angle.

ipe::Linear::Linear | ( | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22
| ) |  |

inlineexplicit

Create linear matrix with given coefficients.

Linear::Linear | ( | String | str | ) |

explicit

Parse string.

## Member Function Documentation

Linear Linear::inverse | ( |  | ) | const

Return inverse.

bool ipe::Linear::isIdentity | ( |  | ) | const

inline

Is this the identity matrix?

Vector ipe::Linear::operator* | ( | const Vector & | rhs | ) | const

inline

bool ipe::Linear::operator== | ( | const Linear & | rhs | ) | const

inline

Check for equality of two linear matrices.

double ipe::Linear::determinant | ( |  | ) | const

inline

Return determinant of a linear matrix.

## Friends And Related Function Documentation

Stream & operator<< | ( | Stream & | stream,
|  | const Linear & | rhs
| ) |  |

related

Vector operator* | ( | const Vector & | rhs | ) | const

related

Linear matrix times vector.

Linear operator* | ( | const Linear & | lhs,
|  | const Linear & | rhs
| ) |  |

related

Linear matrix multiplication.

## Member Data Documentation

double ipe::Linear::a[4]

The documentation for this class was generated from the following files:

- ipegeo.h
- ipegeo.cpp